"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/* eslint-disable import/prefer-default-export */
var createMockDispatch = exports.createMockDispatch = function createMockDispatch() {
  var actions = [];
  return {
    dispatch: function dispatch(action) {
      actions.push(action);
    },
    getActions: function getActions() {
      return actions;
    },
    getAction: function getAction(type) {
      for (var i = 0; i < actions.length; i += 1) {
        if (actions[i].type === type) {
          return actions[i];
        }
      }
      return undefined;
    },
    isActionTypeDispatched: function isActionTypeDispatched(type) {
      for (var i = 0; i < actions.length; i += 1) {
        if (actions[i].type === type) {
          return true;
        }
      }
      return false;
    },
    isActionDispatched: function isActionDispatched(action) {
      var _loop = function _loop(i) {
        if (actions[i].type === action.type) {
          var equalActions = true;
          Object.keys(action).forEach(function (key) {
            if (actions[i][key] !== action[key]) {
              equalActions = false;
            }
          });
          if (equalActions) {
            return {
              v: true
            };
          }
        }
      };

      for (var i = 0; i < actions.length; i += 1) {
        var _ret = _loop(i);

        if ((typeof _ret === "undefined" ? "undefined" : _typeof(_ret)) === "object") return _ret.v;
      }
      return false;
    }
  };
};